<HTML>
<HEAD>
<TITLE>absolute_time_graph.lvlib:absolute_time_graph_main.vi</TITLE>
<META NAME="Author" CONTENT="">
<META NAME="GENERATOR" CONTENT="G Development Environment">
</HEAD>
<BODY BGCOLOR="#FFFFFF">
<A NAME="absolute_time_graph.lvlib:absolute_time_graph_main.vi"></A><H2>absolute_time_graph.lvlib:absolute_time_graph_main.vi</H2>
<P>Main function for the absolute time graph library.</P>
<P></P>
<P></P>
<P>Time window can be specify by seleting value on the Graph time list.</P>
<P></P>
<P>In case selected value is Custom two additional enum lists appears, which are intended to specify the start and end time point in 10 minutes intervals. In case of selected Custom value data on graphs are frozen.</P>
<P></P>
<P>Graph data can be saved into .txt format. This is done by clicking the  save button. Saved are only the data points that are currently displayed on graphs!</P>
<P>Note that in case of large number of data points saving will take some time. Note that after the LabVIEW program is stopped data poinst are lost -&gt; saving after that point not possible!</P>
<HR>
<H3>Connector Pane</H3>
<P><IMG SRC="full_help/full_helpc.png" ALT="absolute_time_graph.lvlib:absolute_time_graph_main.vi"></P>
<HR>
<H3>Front Panel</H3>
<P><IMG SRC="full_help/full_helpp.png" ALT="absolute_time_graph.lvlib:absolute_time_graph_main.vi"></P>
<HR>
<H3>Controls and Indicators</H3>
<Table>
<TR valign=TOP>
<TD>
<P><IMG SRC="full_help/corrn.png" ALT="corrn"></P>
</TD>
<TD>
<B>Enum START</B> <P>Reference for START enum.</P>
</TD>
</TR>
</Table>
<Table>
<TR valign=TOP>
<TD>
<P><IMG SRC="full_help/corrn.png" ALT="corrn"></P>
</TD>
<TD>
<B>Enum STOP</B> <P>Reference for STOP enum.</P>
</TD>
</TR>
</Table>
<Table>
<TR valign=TOP>
<TD>
<P><IMG SRC="full_help/corrn.png" ALT="corrn"></P>
</TD>
<TD>
<B>Enum HOURS</B> <P>Reference for VISIBLE TIME enum.</P>
</TD>
</TR>
</Table>
<Table>
<TR valign=TOP>
<TD>
<P><IMG SRC="full_help/cu32.png" ALT="cu32"></P>
</TD>
<TD>
<B>Pts per second</B> <P>Max data points written per second. If there is more values send to graph they are ignored.</P>
</TD>
</TR>
</Table>
<Table>
<TR valign=TOP>
<TD>
<P><IMG SRC="full_help/cenum.png" ALT="cenum"></P>
</TD>
<TD>
<B>Operation</B> <P>Enum for graph operations.</P>
</TD>
</TR>
</Table>
<Table>
<TR valign=TOP>
<TD>
<P><IMG SRC="full_help/ccclst.png" ALT="ccclst"></P>
</TD>
<TD>
<B>Input</B> <P>Graph input data.</P>
</TD>
</TR>
</Table>
<UL>
<Table>
<TR valign=TOP>
<TD>
<P><IMG SRC="full_help/cdbl.png" ALT="cdbl"></P>
</TD>
<TD>
<B>New Y</B> <P>Graph input value</P>
</TD>
</TR>
</Table>
<Table>
<TR valign=TOP>
<TD>
<P><IMG SRC="full_help/catrn.png" ALT="catrn"></P>
</TD>
<TD>
<B>New X (time)</B> <P>Graph input value timestamp.</P>
</TD>
</TR>
</Table>
</UL>
<Table>
<TR valign=TOP>
<TD>
<P><IMG SRC="full_help/cwcrn.png" ALT="cwcrn"></P>
</TD>
<TD>
<B>Waveform Chart</B> <P>Reference for Waveform chart.</P>
</TD>
</TR>
</Table>
<Table>
<TR valign=TOP>
<TD>
<P><IMG SRC="full_help/cu32.png" ALT="cu32"></P>
</TD>
<TD>
<B>time between custom time axsis values [min]</B> <P>Timeframe in minutew when new values are added on START and STOP enums.</P>
</TD>
</TR>
</Table>
<Table>
<TR valign=TOP>
<TD>
<P><IMG SRC="full_help/cu32.png" ALT="cu32"></P>
</TD>
<TD>
<B>max saved value when graph update is stopped</B> <P>Max data points saved in RAM after graph is CUSTOM mode. After RAM buffer is full, values are written into graph and graph is in NORMAL mode.</P>
</TD>
</TR>
</Table>
<Table>
<TR valign=TOP>
<TD>
<P><IMG SRC="full_help/ibool.png" ALT="ibool"></P>
</TD>
<TD>
<B>Stop graph update</B> </TD>
</TR>
</Table>
<Table>
<TR valign=TOP>
<TD>
<P><IMG SRC="full_help/ierrcodeclst.png" ALT="ierrcodeclst"></P>
</TD>
<TD>
<B>save error</B> <P><B>error in</B> can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.</P>
<P></P>
<P>Right-click the <B>error in</B> control on the front panel and select <B>Explain Error</B> or <B>Explain Warning</B> from the shortcut menu for more information about the error.</P>
</TD>
</TR>
</Table>
<UL>
<Table>
<TR valign=TOP>
<TD>
<P><IMG SRC="full_help/ibool.png" ALT="ibool"></P>
</TD>
<TD>
<B>status</B> <P><B>status</B> is TRUE (X) if an error occurred or FALSE (checkmark) to indicate a warning or that no error occurred.</P>
<P></P>
<P>Right-click the <B>error in</B> control on the front panel and select <B>Explain Error</B> or <B>Explain Warning</B> from the shortcut menu for more information about the error.</P>
</TD>
</TR>
</Table>
<Table>
<TR valign=TOP>
<TD>
<P><IMG SRC="full_help/ii32.png" ALT="ii32"></P>
</TD>
<TD>
<B>code</B> <P><B>code</B> is the error or warning code.</P>
<P></P>
<P>Right-click the <B>error in</B> control on the front panel and select <B>Explain Error</B> or <B>Explain Warning</B> from the shortcut menu for more information about the error.</P>
</TD>
</TR>
</Table>
<Table>
<TR valign=TOP>
<TD>
<P><IMG SRC="full_help/istr.png" ALT="istr"></P>
</TD>
<TD>
<B>source</B> <P><B>source</B> describes the origin of the error or warning.</P>
<P></P>
<P>Right-click the <B>error in</B> control on the front panel and select <B>Explain Error</B> or <B>Explain Warning</B> from the shortcut menu for more information about the error.</P>
</TD>
</TR>
</Table>
</UL>
<HR>
<H3>Block Diagram</H3>
<P><IMG SRC="full_help/full_helpd.png" ALT="absolute_time_graph.lvlib:absolute_time_graph_main.vi"></P>
<P><IMG SRC="full_help/full_helpd1.png" ALT="absolute_time_graph.lvlib:absolute_time_graph_main.vi"></P>
<P><IMG SRC="full_help/full_helpd2.png" ALT="absolute_time_graph.lvlib:absolute_time_graph_main.vi"></P>
<P><IMG SRC="full_help/full_helpd3.png" ALT="absolute_time_graph.lvlib:absolute_time_graph_main.vi"></P>
<P><IMG SRC="full_help/full_helpd4.png" ALT="absolute_time_graph.lvlib:absolute_time_graph_main.vi"></P>
<P><IMG SRC="full_help/full_helpd5.png" ALT="absolute_time_graph.lvlib:absolute_time_graph_main.vi"></P>
<P><IMG SRC="full_help/full_helpd6.png" ALT="absolute_time_graph.lvlib:absolute_time_graph_main.vi"></P>
<P><IMG SRC="full_help/full_helpd7.png" ALT="absolute_time_graph.lvlib:absolute_time_graph_main.vi"></P>
<P><IMG SRC="full_help/full_helpd8.png" ALT="absolute_time_graph.lvlib:absolute_time_graph_main.vi"></P>
<P><IMG SRC="full_help/full_helpd9.png" ALT="absolute_time_graph.lvlib:absolute_time_graph_main.vi"></P>
<P><IMG SRC="full_help/full_helpd10.png" ALT="absolute_time_graph.lvlib:absolute_time_graph_main.vi"></P>
<HR>
<H3>List of SubVIs and Express VIs with Configuration Information</H3>
<Table>
<TR valign=TOP>
<TD>
<P><IMG SRC="full_help/absolute__time__graph_lvlib_enums_history_bundle_typedefctli.png" ALT="absolute_time_graph.lvlib:enums history bundle typedef.ctl"></P>
</TD>
<TD>
<B><P>absolute_time_graph.lvlib:enums history bundle typedef.ctl</P>
</B><P>D:\LabVIEW_custom_library\absolute_time_graph\enums history bundle typedef.ctl</P>
</TD>
</TR>
<TR valign=TOP>
<TD>
<P><IMG SRC="full_help/absolute__time__graph_lvlib_fixed__range__visible__time__buttonctli.png" ALT="absolute_time_graph.lvlib:fixed_range_visible_time_button.ctl"></P>
</TD>
<TD>
<B><P>absolute_time_graph.lvlib:fixed_range_visible_time_button.ctl</P>
</B><P>D:\LabVIEW_custom_library\absolute_time_graph\fixed_range_visible_time_button.ctl</P>
</TD>
</TR>
<TR valign=TOP>
<TD>
<P><IMG SRC="full_help/absolute__time__graph_lvlib_absolute__time__set__graph__scalesi.png" ALT="absolute_time_graph.lvlib:absolute_time_set_graph_scales.vi"></P>
</TD>
<TD>
<B><P>absolute_time_graph.lvlib:absolute_time_set_graph_scales.vi</P>
</B><P>D:\LabVIEW_custom_library\absolute_time_graph\absolute_time_set_graph_scales.vi</P>
</TD>
</TR>
<TR valign=TOP>
<TD>
<P><IMG SRC="full_help/absolute__time__graph_lvlib_absolute__time__graph__timestamp__to__menuring__stringi.png" ALT="absolute_time_graph.lvlib:absolute_time_graph_timestamp_to_menuring_string.vi"></P>
</TD>
<TD>
<B><P>absolute_time_graph.lvlib:absolute_time_graph_timestamp_to_menuring_string.vi</P>
</B><P>D:\LabVIEW_custom_library\absolute_time_graph\absolute_time_graph_timestamp_to_menuring_string.vi</P>
</TD>
</TR>
<TR valign=TOP>
<TD>
<P><IMG SRC="full_help/absolute__time__graph_lvlib_Input__typedefctli.png" ALT="absolute_time_graph.lvlib:Input_typedef.ctl"></P>
</TD>
<TD>
<B><P>absolute_time_graph.lvlib:Input_typedef.ctl</P>
</B><P>D:\LabVIEW_custom_library\absolute_time_graph\Input_typedef.ctl</P>
</TD>
</TR>
<TR valign=TOP>
<TD>
<P><IMG SRC="full_help/absolute__time__graph_lvlib_graph_states_typedefctli.png" ALT="absolute_time_graph.lvlib:graph states typedef.ctl"></P>
</TD>
<TD>
<B><P>absolute_time_graph.lvlib:graph states typedef.ctl</P>
</B><P>D:\LabVIEW_custom_library\absolute_time_graph\graph states typedef.ctl</P>
</TD>
</TR>
<TR valign=TOP>
<TD>
<P><IMG SRC="full_help/absolute__time__graph_lvlib_absolute__time__update__stop__insert__valuesi.png" ALT="absolute_time_graph.lvlib:absolute_time_update_stop_insert_values.vi"></P>
</TD>
<TD>
<B><P>absolute_time_graph.lvlib:absolute_time_update_stop_insert_values.vi</P>
</B><P>D:\LabVIEW_custom_library\absolute_time_graph\absolute_time_update_stop_insert_values.vi</P>
</TD>
</TR>
<TR valign=TOP>
<TD>
<P><IMG SRC="full_help/absolute__time__graph_lvlib_operation_enumctli.png" ALT="absolute_time_graph.lvlib:operation enum.ctl"></P>
</TD>
<TD>
<B><P>absolute_time_graph.lvlib:operation enum.ctl</P>
</B><P>D:\LabVIEW_custom_library\absolute_time_graph\operation enum.ctl</P>
</TD>
</TR>
<TR valign=TOP>
<TD>
<P><IMG SRC="full_help/absolute__time__graph_lvlib_waveform_chart_typedefctli.png" ALT="absolute_time_graph.lvlib:waveform chart typedef.ctl"></P>
</TD>
<TD>
<B><P>absolute_time_graph.lvlib:waveform chart typedef.ctl</P>
</B><P>D:\LabVIEW_custom_library\absolute_time_graph\waveform chart typedef.ctl</P>
</TD>
</TR>
<TR valign=TOP>
<TD>
<P><IMG SRC="full_help/absolute__time__graph_lvlib_absolute__time__graph__save__datai.png" ALT="absolute_time_graph.lvlib:absolute_time_graph_save_data.vi"></P>
</TD>
<TD>
<B><P>absolute_time_graph.lvlib:absolute_time_graph_save_data.vi</P>
</B><P>D:\LabVIEW_custom_library\absolute_time_graph\absolute_time_graph_save_data.vi</P>
</TD>
</TR>
</Table>
<HR>
<H3>VI Revision History</H3>
<P>&quot;absolute_time_graph.lvlib:absolute_time_graph_main.vi History&quot;</P>
<P>Current Revision:   178</P>
<HR>
<H3>Position in Hierarchy</H3>
<P><IMG SRC="full_help/full_helph.png" ALT="absolute_time_graph.lvlib:absolute_time_graph_main.vi"></P>
<HR>
<H3>Iconified Cluster Constants</H3>
</BODY>
</HTML>
